#!/usr/bin/perl -wT
#
#     ESJ 参加・講演申し込み処理プログラム
#     登録情報の閲覧・編集
#
#     2010-10-18Takenaka, A.


use strict;
use warnings;

use utf8;

use CGI;
use Encode;
use HTML::Template;
use CGI::Carp('fatalsToBrowser');

#=comment
use lib qw(/var/www/vhosts/esj.ne.jp/httpdocs/pm);
use ESJ::Util;
use ESJ::Info;
#=cut

my $lang = $ENV{'QUERY_STRING'};

my $charset = "UTF-8";

my $Data = new CGI; #   CGI オブジェクトを取得。global 変数。
$Data->charset($charset);
print $Data->header(-type=>"text/html");

my $meeting_full_name = ($lang =~ /E-page/) ? &ESJ::Info::get_meeting_full_name_e()
                                            : &ESJ::Info::get_meeting_full_name();

my $meeting          = &ESJ::Info::get_meeting_abbrev();
my $n_meeting        = &ESJ::Info::get_n_meeting();

my $tmpl_file = ($lang =~ /E-page/) ? 'reissue_form_tmpl-e.html'
                                    : 'reissue_form_tmpl-j.html';

open (my $handle, "<:utf8", $tmpl_file ) || die;
my $tmpl = HTML::Template->new( filehandle => $handle );

close $handle;

$tmpl->param(n_meeting => $n_meeting);

print $tmpl->output;
